Skip to main content
DELETE
/
social_accounts
/
{id}
Delete a Social Account
curl --request DELETE \
  --url https://api.whop.com/api/v1/social_accounts/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/social_accounts/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/social_accounts/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


true
{
  "error": {
    "message": "<string>",
    "type": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "type": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "type": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-07-08-1"

Path Parameters

id
string
required

The ID of the social account to disconnect.

Query Parameters

account_id
string

The Account that the social account is connected to. Provide either this or user_id.

user_id
string

The User that the social account is connected to. Provide either this or account_id.

Response

user social account disconnected

Always true on success.